Index: /orxonox/trunk/src/defs/debug.h
===================================================================
--- /orxonox/trunk/src/defs/debug.h	(revision 4851)
+++ /orxonox/trunk/src/defs/debug.h	(revision 4852)
@@ -81,5 +81,5 @@
 
 #define DEBUG_MODULE_COLLISON_DETECTION 0
-#define DEBUG_MODULE_SPATIAL_SEPARATION 0
+#define DEBUG_MODULE_SPATIAL_SEPARATION 3
 
 #define HARD_DEBUG_LEVEL DEBUG_SPECIAL_MODULE
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4851)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4852)
@@ -49,5 +49,7 @@
  */
 void Quadtree::separate()
-{}
+{
+  this->rootNode->separateNode();
+}
 
 
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4851)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4852)
@@ -28,5 +28,5 @@
 QuadtreeNode::QuadtreeNode (sTriangleExt* triangles, int numTriangles, Quadtree* quadtree)
 {
-   this->setClassID(CL_QUADTREE_NODE, "QuadtreeNode");
+  this->init();
 }
 
@@ -46,5 +46,18 @@
   for( int i = 0; i < this->pModelInfo->numTriangles; ++i)
     this->pTriangles[i] = &this->pModelInfo->pTriangles[i];
-  
+
+  this->init();
+}
+
+
+/**
+ * takes the rest of the initialisation process
+ */
+void QuadtreeNode::init()
+{
+  PRINTF(0)("Creating QuadtreeNode\n");
+  this->setClassID(CL_QUADTREE_NODE, "QuadtreeNode");
+
+  this->offset = 0.0f;
 }
 
@@ -52,6 +65,5 @@
 /**
  *  standard deconstructor
-
-*/
+ */
 QuadtreeNode::~QuadtreeNode ()
 {
@@ -64,5 +76,7 @@
  */
 void QuadtreeNode::separateNode(int treeDepth)
-{}
+{
+  this->separateNode();
+}
 
 
@@ -72,5 +86,7 @@
 */
 void QuadtreeNode::separateNode(float minLength)
-{}
+{
+  this->separateNode();
+}
 
 
@@ -81,4 +97,5 @@
 void QuadtreeNode::separateNode()
 {
+  PRINTF(0)("got command to separate node\n");
   tList<sTriangleExt*>*           listA = new tList<sTriangleExt*>();    //!< triangle list of nodeA
   tList<sTriangleExt*>*           listB = new tList<sTriangleExt*>();    //!< triangle list of nodeB
@@ -95,8 +112,14 @@
 	  pVert = &this->pVertices[this->pTriangles[i]->indexToVertices[j]];
 	  if(  pVert[0] > rectCenter->x + this->offset && pVert[2] > rectCenter->z + this->offset)
-	    printf("");
-
+	    printf("nA");
+	  if( pVert[0] > rectCenter->x + this->offset && pVert[2]< rectCenter->z + this->offset) 
+	    printf("nB");
+	  if( pVert[0] < rectCenter->x + this->offset && pVert[2] > rectCenter->z + this->offset)
+	    printf("nC");
+	  if( pVert[0] < rectCenter->x + this->offset && pVert[2] < rectCenter->z + this->offset)
+	    printf("nD");
 	}
     }
+  PRINTF(0)("\nseparation complete\n");
 }
 
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 4851)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 4852)
@@ -32,4 +32,5 @@
 
   private:
+    void init();
     Rectangle* getDimension(modelInfo* pModelInfo);
 
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4851)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4852)
@@ -33,5 +33,7 @@
 SpatialSeparation::SpatialSeparation (AbstractModel* model, float overlapSize)
 {
+  PRINTF(0)("Spatial Separation process kicked on\n");
    this->setClassID(CL_SPATIAL_SEPARATION, "SpatialSeparation");
+   /* debug vice */
    this->createQuadtree(model);
 }