Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4854)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4855)
@@ -55,5 +55,4 @@
 void QuadtreeNode::init()
 {
-  PRINTF(0)("Creating QuadtreeNode\n");
   this->setClassID(CL_QUADTREE_NODE, "QuadtreeNode");
 
@@ -125,5 +124,4 @@
   printf("Temp. list Num. o El: A: %i, B: %i, C: %i, D: %i\n", listA->getSize(), listB->getSize(), listC->getSize(), listD->getSize());
 
-
   
   /* Separating into to the triangle lists  */
@@ -137,5 +135,5 @@
   float                          lenD;                                  //!< length array D
   tIterator<sTriangleExt*>*      iterator;                              //!< iterator for the list iterations
-  sTriangleExt*                  tempTri;                               //!< temp save place for triangle pointer
+  sTriangleExt**                 tempTri;                               //!< temp save place for triangle pointer
   int                            counter;                               //!< counter for the while loops
 
@@ -153,9 +151,9 @@
   counter = 0;
   iterator = listA->getIterator();
-  tempTri = *iterator->nextElement();
-  while( tempTri)
-    {
-      pTriA[counter] = tempTri;
-      tempTri = *iterator->nextElement();
+  tempTri = iterator->nextElement();
+  while( tempTri)
+    {
+      pTriA[counter] = *tempTri;
+      tempTri = iterator->nextElement();
       ++counter;
     }
@@ -163,9 +161,9 @@
   counter = 0;
   iterator = listB->getIterator();
-  tempTri = *iterator->nextElement();
-  while( tempTri)
-    {
-      pTriB[counter] = tempTri;
-      tempTri = *iterator->nextElement();
+  tempTri = iterator->nextElement();
+  while( tempTri)
+    {
+      pTriB[counter] = *tempTri;
+      tempTri = iterator->nextElement();
       ++counter;
     }
@@ -173,9 +171,9 @@
   counter = 0;
   iterator = listC->getIterator();
-  tempTri = *iterator->nextElement();
-  while( tempTri)
-    {
-      pTriC[counter] = tempTri;
-      tempTri = *iterator->nextElement();
+  tempTri = iterator->nextElement();
+  while( tempTri)
+    {
+      pTriC[counter] = *tempTri;
+      tempTri = iterator->nextElement();
       ++counter;
     }
@@ -183,9 +181,9 @@
   counter = 0;
   iterator = listD->getIterator();
-  tempTri = *iterator->nextElement();
-  while( tempTri)
-    {
-      pTriD[counter] = tempTri;
-      tempTri = *iterator->nextElement();
+  tempTri = iterator->nextElement();
+  while( tempTri)
+    {
+      pTriD[counter] = *tempTri;
+      tempTri = iterator->nextElement();
       ++counter;
     }
@@ -241,5 +239,5 @@
 
   PRINTF(0)("Dimension Informationation: X: min/max %f/%f Y: min/max %f/%f\n", minX, maxX, minY, maxY);
-  PRINTF(0)("Center: %f,%f   Axis: %f\n", rect->getCenter()->x, rect->getCenter()->y, rect->getCenter()->z, rect->getAxis());
+  PRINTF(0)("Center: %f, %f, %f   Axis: %f\n", rect->getCenter()->x, rect->getCenter()->y, rect->getCenter()->z, rect->getAxis());
   return rect;
 }
Index: orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4854)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4855)
@@ -97,5 +97,5 @@
 {
   this->quadtree = new Quadtree(model->getModelInfo());
-  //this->quadtree->separate();
+  this->quadtree->separate();
 
   return this->quadtree;
Index: orxonox/trunk/src/world_entities/terrain.cc
===================================================================
--- orxonox/trunk/src/world_entities/terrain.cc	(revision 4854)
+++ orxonox/trunk/src/world_entities/terrain.cc	(revision 4855)
@@ -39,7 +39,8 @@
   this->loadParams(root);
 
-  //SpatialSeparation* ssp = new SpatialSeparation((AbstractModel*)this->model, 10.0f);
-  //delete ssp;
-}
+  SpatialSeparation* ssp = new SpatialSeparation((AbstractModel*)this->model, 10.0f);
+  delete ssp;
+}
+
 
 /**