Index: data/trunk/levels/sp_level_moonstation_hangar.oxw
===================================================================
--- data/trunk/levels/sp_level_moonstation_hangar.oxw	(revision 4845)
+++ data/trunk/levels/sp_level_moonstation_hangar.oxw	(revision 4876)
@@ -2,8 +2,8 @@
   <name>Moonstation Hangar</name>
   <description>This is the hangar of the moonstation.</description>
-  <screenshoot>textures/menu/sttower_512x512.jpg</screenshoot>
+  <screenshoot>textures/menu/moonstation_hangar.jpg</screenshoot>
 
   <LoadScreen>
-    <BackgroundImage>textures/load_screens/ambush.png</BackgroundImage>
+    <BackgroundImage>textures/load_screens/moonstation_hangar.jpg</BackgroundImage>
     <ElementCount>16</ElementCount>
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
@@ -12,10 +12,10 @@
   </LoadScreen>
 
-  <clip-region>1, 100000</clip-region>
+  <clip-region>1, 130000</clip-region>
 
   <WorldEntities>
 
     <BspEntity>
-      <Name>levels/maps/moonstation/hangar035.bsp</Name>
+      <Name>levels/maps/moonstation/hangar044.bsp</Name>
       <abs-coor>0, 256, 0</abs-coor>
     </BspEntity>
@@ -32,10 +32,14 @@
       <abs-dir>3.14, 0, 1, 0</abs-dir>
 -->
+<!--
       <abs-coor>928, 788, -192</abs-coor>
       <abs-dir>1.57, 0, 1, 0</abs-dir>
+-->
 <!--
       <abs-coor>1600, 788, 0</abs-coor>
       <abs-dir>0.57, 0, 1, 0</abs-dir>
  -->
+      <abs-coor>2880, 788, 0</abs-coor>
+      <abs-dir>0.57, 0, 1, 0</abs-dir>
     </FPSPlayer>
 
@@ -43,29 +47,29 @@
     <Rotor>
       <name>Small Rotor at Entrance</name>
-      <model>models/decoration/rotor1.obj, 7</model>
-      <abs-coor>-96,40,-248</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 7</model>
+      <abs-coor>-96, 40, -248</abs-coor>
       <abs-dir>0, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
+      <rotation>0, 0, 12</rotation>
     </Rotor>
     <Rotor>
       <name>Small Rotor at Entrance</name>
-      <model>models/decoration/rotor1.obj, 7</model>
-      <abs-coor>160,40,-248</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 7</model>
+      <abs-coor>160, 40, -248</abs-coor>
       <abs-dir>0, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
+      <rotation>0, 0, 12</rotation>
     </Rotor>
     <Rotor>
       <name>Small Rotor at Entrance</name>
-      <model>models/decoration/rotor1.obj, 7</model>
-      <abs-coor>-96,40,248</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 7</model>
+      <abs-coor>-96, 40, 248</abs-coor>
       <abs-dir>3.14, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
+      <rotation>0, 0, 12</rotation>
     </Rotor>
     <Rotor>
       <name>Small Rotor at Entrance</name>
-      <model>models/decoration/rotor1.obj, 7</model>
-      <abs-coor>160,40,248</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 7</model>
+      <abs-coor>160, 40, 248</abs-coor>
       <abs-dir>3.14, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
+      <rotation>0, 0, 12</rotation>
     </Rotor>
 
@@ -73,15 +77,15 @@
     <Rotor>
       <name>Big Rotor at Entrance</name>
-      <model>models/decoration/rotor1.obj, 16</model>
-      <abs-coor>320,144,0</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 16</model>
+      <abs-coor>320, 144, 0</abs-coor>
       <abs-dir>-1.57, 1, 0, 0</abs-dir>
-      <rotation>0,0,15</rotation>
+      <rotation>0, 0, 15</rotation>
     </Rotor>
     <Rotor>
       <name>Big Rotor over Entrance</name>
-      <model>models/decoration/rotor1.obj, 16</model>
-      <abs-coor>320,312,0</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 16</model>
+      <abs-coor>320, 312, 0</abs-coor>
       <abs-dir>-1.57, 1, 0, 0</abs-dir>
-      <rotation>0,0,15</rotation>
+      <rotation>0, 0, 15</rotation>
     </Rotor>
 
@@ -89,37 +93,122 @@
     <Rotor>
       <name>Small Rotor in orange Room</name>
-      <model>models/decoration/rotor1.obj, 9</model>
-      <abs-coor>-192,424,-256</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 9</model>
+      <abs-coor>-192, 424, -256</abs-coor>
       <abs-dir>1.57, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
+      <rotation>0, 0, 12</rotation>
     </Rotor>
     <Rotor>
       <name>Small Rotor in orange Room</name>
-      <model>models/decoration/rotor1.obj, 9</model>
-      <abs-coor>0,472,-384</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 9</model>
+      <abs-coor>0, 472, -384</abs-coor>
       <abs-dir>0, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
+      <rotation>0, 0, 12</rotation>
     </Rotor>
     <Rotor>
       <name>Small Rotor in orange Room</name>
-      <model>models/decoration/rotor1.obj, 9</model>
-      <abs-coor>128,536,-384</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 9</model>
+      <abs-coor>128, 536, -384</abs-coor>
       <abs-dir>0, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
+      <rotation>0, 0, 12</rotation>
     </Rotor>
     <Rotor>
       <name>Small Rotor in orange Room</name>
-      <model>models/decoration/rotor1.obj, 9</model>
-      <abs-coor>256,600,-384</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 9</model>
+      <abs-coor>256, 600, -384</abs-coor>
       <abs-dir>0, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
+      <rotation>0, 0, 12</rotation>
     </Rotor>
     <Rotor>
       <name>Small Rotor in orange Room</name>
-      <model>models/decoration/rotor1.obj, 9</model>
-      <abs-coor>464,616,-256</abs-coor>
+      <model>models/decoration/rotor1_black.obj, 9</model>
+      <abs-coor>464, 616, -256</abs-coor>
       <abs-dir>-1.57, 0, 1, 0</abs-dir>
-      <rotation>0,0,12</rotation>
-    </Rotor>
+      <rotation>0, 0, 12</rotation>
+    </Rotor>
+
+
+    <Rotor>
+      <name>Rotor in side entrance of energy cave</name>
+      <model>models/decoration/rotor1_black.obj, 16</model>
+      <abs-coor>2304, 992, 736</abs-coor>
+      <abs-dir>1.57, 1, 0, 0</abs-dir>
+      <rotation>0, 0, 12</rotation>
+    </Rotor>
+    <Rotor>
+      <name>Rotor in side entrance of energy cave</name>
+      <model>models/decoration/rotor1_black.obj, 16</model>
+      <abs-coor>2304, 992, -736</abs-coor>
+      <abs-dir>1.57, 1, 0, 0</abs-dir>
+      <rotation>0, 0, 12</rotation>
+    </Rotor>
+    <Rotor>
+      <name>Rotor in hangar entrance in energy cave</name>
+      <model>models/decoration/rotor1_black.obj, 11</model>
+      <abs-coor>2840, 992, 0</abs-coor>
+      <abs-dir>-1.57, 0, 1, 0</abs-dir>
+      <rotation>0, 0, 12</rotation>
+    </Rotor>
+    <Rotor>
+      <name>Rotor in hangar entrance in energy cave (other side)</name>
+      <model>models/decoration/rotor1_black.obj, 11</model>
+      <abs-coor>3056, 992, 0</abs-coor>
+      <abs-dir>1.57, 0, 1, 0</abs-dir>
+      <rotation>0, 0, 12</rotation>
+    </Rotor>
+
+
+    <Rotor>
+      <name>ring around energy core</name>
+      <model>models/decoration/ring.obj, 10</model>
+      <rel-coor>2304, 832, 0</rel-coor>
+      <abs-dir>1.57, 1, 0, 0</abs-dir>
+      <rotation>9, 9, 9</rotation>
+    </Rotor>
+    <Rotor>
+      <name>ring around energy core</name>
+      <model>models/decoration/ring.obj, 11</model>
+      <rel-coor>2304, 832, 0</rel-coor>
+      <abs-dir>1.57, 0, 1, 0</abs-dir>
+      <rotation>6, 6, 6</rotation>
+    </Rotor>
+    <Rotor>
+      <name>ring around energy core</name>
+      <model>models/decoration/ring.obj, 12</model>
+      <rel-coor>2304, 832, 0</rel-coor>
+      <abs-dir>1.57, 0, 0, 1</abs-dir>
+      <rotation>4, 4, 4</rotation>
+    </Rotor>
+
+
+    <Rotor>
+      <name>turbine in engine-room</name>
+      <model>models/decoration/turbine.obj, 22</model>
+      <rel-coor>3264, 888, 352</rel-coor>
+      <abs-dir>1.57, 0, 1, 0</abs-dir>
+      <rotation>0, 0, 2</rotation>
+    </Rotor>
+    <Rotor>
+      <name>turbine in engine-room</name>
+      <model>models/decoration/turbine.obj, 22</model>
+      <rel-coor>3264, 888, -352</rel-coor>
+      <abs-dir>1.57, 0, 1, 0</abs-dir>
+      <rotation>0, 0, -2</rotation>
+    </Rotor>
+
+
+    <Mover>
+      <abs-coor>256, 620, 108</abs-coor>
+      <triggers>
+        <ApproachTrigger>
+          <radius>20</radius>
+        </ApproachTrigger>
+      </triggers>
+      <stations>
+        <MoverStation>
+          <moving-time>0.1</moving-time>
+          <opening-sound>music/orxonox_treff_-_yoga_soett_me_ha.wav</opening-sound>
+        </MoverStation>
+      </stations>
+    </Mover>
 
 
@@ -623,38 +712,174 @@
       <max-count>500</max-count>
       <life-span>0.4, 0.25</life-span>
-      <radius>0.0, 150.0, 75.0</radius>
+      <radius>0.0, 125.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 0.0, 1.0, 1.0, 0.5</color>
+      <color>0.5, 0.0, 0.6, 0.6, 0.2</color>
+      <color>1.0, 0.0, 0.0, 0.0, 0.0</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2304, 384, 0</rel-coor>
+          <rel-dir>-1.57, 1, 0, 0</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>0, 10</emission-velocity>
+          <size>0, 1850</size>
+          <rate>600</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>energy core (white bubbles in cyan pillar)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>2.2, 0</life-span>
+      <radius>0.0, 50.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 0.0, 0.0, 0.0, 0.0</color>
+      <color>0.3, 1.0, 1.0, 1.0, 0.7</color>
+      <color>1.0, 1.0, 1.0, 1.0, 0.7</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2304, -768, 0</rel-coor>
+          <spread>0, 0</spread>
+          <emission-velocity>1000, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>100</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+
+    <SpriteParticles>
+      <name>Steam at side of cave</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>100</max-count>
+      <life-span>16, 2</life-span>
+      <radius>0.0, 75.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.3</color>
+      <color>0.5, 0.6, 0.6, 0.6, 0.1</color>
+      <color>1.0, 0.0, 0.0, 0.0, 0.0</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2304, 720, 736</rel-coor>
+          <spread>0, 0</spread>
+          <emission-velocity>40, 10</emission-velocity>
+          <size>50, 50</size>
+          <rate>6</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>Steam at side of cave</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>200</max-count>
+      <life-span>16, 2</life-span>
+      <radius>0.0, 75.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.3</color>
+      <color>0.5, 0.6, 0.6, 0.6, 0.1</color>
+      <color>1.0, 0.0, 0.0, 0.0, 0.0</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2304, 720, -736</rel-coor>
+          <spread>0, 0</spread>
+          <emission-velocity>40, 10</emission-velocity>
+          <size>50, 50</size>
+          <rate>6</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>Steam at front of cave</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>200</max-count>
+      <life-span>8, 2</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.3</color>
+      <color>0.5, 0.6, 0.6, 0.6, 0.1</color>
+      <color>1.0, 0.0, 0.0, 0.0, 0.0</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2856, 720, 0</rel-coor>
+          <spread>0, 0.5</spread>
+          <emission-velocity>40, 10</emission-velocity>
+          <size>40, 70</size>
+          <rate>5</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+
+    <SpriteParticles>
+      <name>white energy pillar 1/2 in engine-room</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>0.3, 0</life-span>
+      <radius>0.0, 50.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.7</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3856, 800, -80</rel-coor>
+          <spread>0, 0</spread>
+          <emission-velocity>1000, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>100</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>cyan bubbles in energy pillar 1/2 in engine-room</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>2.5, 0</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
       <mass>0.0, 1.0, .3</mass>
       <color>0.0, 0.0, 1.0, 1.0, 0.3</color>
-      <color>0.5, 0.0, 0.6, 0.6, 0.1</color>
-      <color>1.0, 0.0, 0.0, 0.0, 0.0</color>
-      <precache>0</precache>
-      <emitters>
-        <PlaneEmitter>
-          <name>SteamEmitter</name>
-          <rel-coor>2304, 128, 0</rel-coor>
-          <rel-dir>-1.57, 1, 0, 0</rel-dir>
-          <spread>0, 0</spread>
-          <emission-velocity>0, 10</emission-velocity>
-          <size>0, 1280</size>
-          <rate>300</rate>
-        </PlaneEmitter>
-      </emitters>
-    </SpriteParticles>
-    <SpriteParticles>
-      <name>energy core (white bubbles in cyan pillar)</name>
-      <type>sprite</type>
-      <texture>steam01.png</texture>
-      <max-count>500</max-count>
-      <life-span>1.6, 0</life-span>
-      <radius>0.0, 50.0, 25.0</radius>
-      <mass>0.0, 1.0, .3</mass>
-      <color>0.0, 0.0, 0.0, 0.0, 0.0</color>
-      <color>0.5, 1.0, 1.0, 1.0, 0.7</color>
-      <color>1.0, 1.0, 1.0, 1.0, 0.7</color>
-      <precache>0</precache>
-      <emitters>
-        <PlaneEmitter>
-          <name>SteamEmitter</name>
-          <rel-coor>2304, -768, 0</rel-coor>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3856, 800, -80</rel-coor>
+          <spread>0, 0</spread>
+          <emission-velocity>100, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>white energy pillar 2/2 in engine-room</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>0.3, 0</life-span>
+      <radius>0.0, 50.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.7</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3856, 800, 80</rel-coor>
           <spread>0, 0</spread>
           <emission-velocity>1000, 0</emission-velocity>
@@ -664,8 +889,255 @@
       </emitters>
     </SpriteParticles>
+    <SpriteParticles>
+      <name>cyan bubbles in energy pillar 2/2 in engine-room</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>2.5, 0</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 0.0, 1.0, 1.0, 0.3</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3856, 800, 80</rel-coor>
+          <spread>0, 0</spread>
+          <emission-velocity>100, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+
+    <SpriteParticles>
+      <name>white energy ray in engine-room (top)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>1, 0</life-span>
+      <radius>0.0, 50.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.7</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2992, 1176, 0</rel-coor>
+          <rel-dir>-1.5707963, 0, 0, 1</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>1000, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>100</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>cyan bubbles in energy ray in engine-room (top)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>10, 0</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 0.0, 1.0, 1.0, 0.3</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2992, 1176, 0</rel-coor>
+          <rel-dir>-1.5707963, 0, 0, 1</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>100, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>white energy ray in engine-room (bottom)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>1, 0</life-span>
+      <radius>0.0, 50.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.7</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2880, 680, 0</rel-coor>
+          <rel-dir>-1.5707963, 0, 0, 1</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>1000, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>100</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>cyan bubbles in energy ray in engine-room (bottom)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>10, 0</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 0.0, 1.0, 1.0, 0.3</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>2880, 680, 0</rel-coor>
+          <rel-dir>-1.5707963, 0, 0, 1</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>100, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>white energy ray in engine-room (left)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>0.5, 0</life-span>
+      <radius>0.0, 50.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.7</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3616, 680, 0</rel-coor>
+          <rel-dir>-1.5707963, 1, 0, 0</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>1000, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>100</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>cyan bubbles in energy ray in engine-room (left)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>5, 0</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 0.0, 1.0, 1.0, 0.3</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3616, 680, 0</rel-coor>
+          <rel-dir>-1.5707963, 1, 0, 0</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>100, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>white energy ray in engine-room (right)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>0.5, 0</life-span>
+      <radius>0.0, 50.0, 25.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.7</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3616, 680, 0</rel-coor>
+          <rel-dir>1.5707963, 1, 0, 0</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>1000, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>100</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>cyan bubbles in energy ray in engine-room (right)</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>500</max-count>
+      <life-span>5, 0</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 0.0, 1.0, 1.0, 0.3</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3616, 680, 0</rel-coor>
+          <rel-dir>1.5707963, 1, 0, 0</rel-dir>
+          <spread>0, 0</spread>
+          <emission-velocity>100, 0</emission-velocity>
+          <size>0, 0</size>
+          <rate>10</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+
+    <SpriteParticles>
+      <name>Steam before door to hangar</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>200</max-count>
+      <life-span>8, 2</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.3</color>
+      <color>0.5, 0.6, 0.6, 0.6, 0.1</color>
+      <color>1.0, 0.0, 0.0, 0.0, 0.0</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3808, 720, 352</rel-coor>
+          <spread>0, 0.5</spread>
+          <emission-velocity>40, 10</emission-velocity>
+          <size>100, 40</size>
+          <rate>5</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+    <SpriteParticles>
+      <name>Steam before door to hangar</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>200</max-count>
+      <life-span>8, 2</life-span>
+      <radius>0.0, 100.0, 50.0</radius>
+      <mass>0.0, 1.0, .3</mass>
+      <color>0.0, 1.0, 1.0, 1.0, 0.3</color>
+      <color>0.5, 0.6, 0.6, 0.6, 0.1</color>
+      <color>1.0, 0.0, 0.0, 0.0, 0.0</color>
+      <precache>0</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>3808, 720, -352</rel-coor>
+          <spread>0, 0.5</spread>
+          <emission-velocity>40, 10</emission-velocity>
+          <size>100, 40</size>
+          <rate>5</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
 
 
     <BspEntity>
-      <Name>levels/maps/moonstation/hangar_flares004.bsp</Name>
+      <Name>levels/maps/moonstation/hangar_flares006.bsp</Name>
       <Transparency>1, 1</Transparency>
     </BspEntity>
@@ -932,4 +1404,6 @@
     </SkyBox>
   </WorldEntities>
+
+<!--  <Music>music/allgorythm-big_daddys_beat.ogg</Music> -->
 
   <LightManager>